com.amazonaws.services.simpleworkflow.model

## Class ExecutionTimeFilter

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ExecutionTimeFilter

All Implemented Interfaces:
  Serializable, Cloneable

    public class ExecutionTimeFilter
    extends Object
    implements Serializable, Cloneable

Used to filter the workflow executions in visibility APIs by various time-based rules. Each parameter, if specified, defines a rule that must be satisfied by each returned query result. The parameter values are in the Unix Time format. For example: `"oldestDate": 1325376070.`

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExecutionTimeFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExecutionTimeFilter` `clone()`
`boolean` `equals(Object obj)`
`Date` `getLatestDate()` Specifies the latest start or close date and time to return.
`Date` `getOldestDate()` Specifies the oldest start or close date and time to return.
`int` `hashCode()`
`void` `setLatestDate(Date latestDate)` Specifies the latest start or close date and time to return.
`void` `setOldestDate(Date oldestDate)` Specifies the oldest start or close date and time to return.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ExecutionTimeFilter` `withLatestDate(Date latestDate)` Specifies the latest start or close date and time to return.
`ExecutionTimeFilter` `withOldestDate(Date oldestDate)` Specifies the oldest start or close date and time to return.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecutionTimeFilter

    public ExecutionTimeFilter()

### Method Detail

#### setOldestDate

    public void setOldestDate(Date oldestDate)

Specifies the oldest start or close date and time to return.

Parameters:
  `oldestDate` - Specifies the oldest start or close date and time to return.

#### getOldestDate

    public Date getOldestDate()

Specifies the oldest start or close date and time to return.

Returns:
  Specifies the oldest start or close date and time to return.

#### withOldestDate

    public ExecutionTimeFilter withOldestDate(Date oldestDate)

Specifies the oldest start or close date and time to return.

Parameters:
  `oldestDate` - Specifies the oldest start or close date and time to return.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLatestDate

    public void setLatestDate(Date latestDate)

Specifies the latest start or close date and time to return.

Parameters:
  `latestDate` - Specifies the latest start or close date and time to return.

#### getLatestDate

    public Date getLatestDate()

Specifies the latest start or close date and time to return.

Returns:
  Specifies the latest start or close date and time to return.

#### withLatestDate

    public ExecutionTimeFilter withLatestDate(Date latestDate)

Specifies the latest start or close date and time to return.

Parameters:
  `latestDate` - Specifies the latest start or close date and time to return.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ExecutionTimeFilter clone()

Overrides:
  `clone` in class `Object`